[Debian 64 bit] Najnowszy Wine ze źróde

Archiwalne, stare wpisy FAQ i HowTo Użytkowników
Awatar użytkownika
Yampress
Administrator
Posty: 6059
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Post autor: Yampress » 15 stycznia 2015, 21:55

no wiec nawiązuje do tego. To że pod pewnymi wersjami zależności kiedyś Ci działało to aktualnie nie musi...
Ale .. aktualnie wersje pakietów w jessie są zablokowane.. więc jeśli próbowałeś niedawno i wszystko poszło to i teraz też musi być ok.

Awatar użytkownika
saturno
Junior Member
Posty: 661
Rejestracja: 08 lipca 2008, 20:04

Post autor: saturno » 16 stycznia 2015, 01:53

Yampress pisze: Ale .. aktualnie wersje pakietów w jessie są zablokowane.. więc jeśli próbowałeś niedawno i wszystko poszło to i teraz też musi być ok.
Ale tu nie chodzi nawet o wersje.
ia32-libs nie ma już w Jessie: https://packages.debian.org/search?suit ... =ia32-libs
Od ponad roku: https://tracker.debian.org/news/326999
Więc ktoś tu bajki opowiada!

Awatar użytkownika
Yampress
Administrator
Posty: 6059
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Post autor: Yampress » 16 stycznia 2015, 10:43

zainstalować z paczki i nie bawić się w kompilację

Kod: Zaznacz cały

aptitude install wine-development
Package wine-development

  • jessie (testing) (otherosfs): Implementacja API Windows - pakiet standardowy
    1.7.29-4: amd64 i386 kfreebsd-i386 powerpc
  • sid (unstable) (otherosfs): Implementacja API Windows - pakiet standardowy
    1.7.29-4: amd64 i386 kfreebsd-i386 powerpc powerpcspe
  • experimental (rc-buggy) (otherosfs): Implementacja API Windows - pakiet standardowy
    1.7.34-1: amd64 hurd-i386 i386 kfreebsd-i386 powerpc

Awatar użytkownika
neo86
Beginner
Posty: 285
Rejestracja: 16 października 2013, 00:03
Lokalizacja: Opolskie

Post autor: neo86 » 16 stycznia 2015, 12:23

Yampress pisze:zainstalować z paczki i nie bawić się w kompilację

Kod: Zaznacz cały

aptitude install wine-development
Gdyby jeszcze to wine-development działało :/ Ja od lipca 2014 co trochę sprawdzam czy jakas wersja wine-development zadziała i żadna nie chciała działać! Objawia się to tak, że instaluję wine-development i niby widnieje w synapticu zainstalowane ale kiedy wpisuję:

Kod: Zaznacz cały

wine --version
system twierdził, że wine-development nie jest zainstalowany! Absurd! I tak od lipca 2014 roku! Masz na to wytłumaczenie? Nie żebym się spierał ale ten wine-development to jakiś niewypał. Przynajmniej u mnie nigdy nie zadziałał! Ani u mnie na Sidzie (ostatnio sprawdzałem w grudniu 2014 u siebie na laptopie) ani na Wheezy z backportów (to sprawdzałem w czerwcu 2014 u mamy na laptopie).

Dlatego właśnie wolę kompilować ze źródeł gdyż to ze źródeł bezbłędnie działa.

Awatar użytkownika
sir_lucjan
Posty: 21
Rejestracja: 27 lutego 2011, 11:08
Lokalizacja: Friedberg/Frankfurt

Post autor: sir_lucjan » 16 stycznia 2015, 12:45

Miałem tego nie pisać, ale chyba jednak ktoś musi to zrobić ;)

neo86, zamiast smęcić na forach (tak, na DUG również) poczytałbyś co nieco - między innymi to, co inni do Ciebie napisali. Absurdem jest to, co wypisujesz (i styl twoich wypowiedzi, wykrzykniki co drugie zdanie nie wyglądają wcale profesjonalnie, wręcz przeciwnie) a nie to, że wine-development nie działa.

https://forum.dug.net.pl/viewtopic.php? ... 68#p281368

Poczytaj na drugi raz, zanim (kolejny raz) zbłaźnisz się na całej linii. Nie odbieraj tego w kategoriach osobistej wycieczki :)

Awatar użytkownika
neo86
Beginner
Posty: 285
Rejestracja: 16 października 2013, 00:03
Lokalizacja: Opolskie

Post autor: neo86 » 16 stycznia 2015, 13:14

Szkoda gadać. Mi nie działa to wine-development i tyle.... Wolę swoje ze źródeł które U MNIE DZIAŁA chyba mam wybór co nie? Czy mi narzucacie swoje racje i muszę się im podporządkować mimo iż mi to całe wine-development za chiny ludowe nie chce zadziałać? Po co mi coś co mi nie działa? Ręce opadają normalnie... Teraz nie mam czasu na takie bzdury ale kiedyś wam udowodnię screenem.

Awatar użytkownika
sir_lucjan
Posty: 21
Rejestracja: 27 lutego 2011, 11:08
Lokalizacja: Friedberg/Frankfurt

Post autor: sir_lucjan » 16 stycznia 2015, 13:59

Wywołałeś to takim poleceniem w stylu

Kod: Zaznacz cały

wine-development --version
czy nie? Bo jak nie, to nic dziwnego, że to nie działa.

Awatar użytkownika
Yampress
Administrator
Posty: 6059
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Post autor: Yampress » 16 stycznia 2015, 17:16

no właśnie wine-development ma inny plik uruchumieniowy niż zwykłe wine. Inne nazewnictwo jest.

Awatar użytkownika
neo86
Beginner
Posty: 285
Rejestracja: 16 października 2013, 00:03
Lokalizacja: Opolskie

Post autor: neo86 » 16 stycznia 2015, 17:44

Specjalnie dla (no comment) narzucających, że nie mam racji straciłem ten czas na takie bzdury:

pakiet pobrany z repozytoriów Sida dla Sida wine64-development i jego efekt:

Obrazek

(próbowałem z różnymi komendami, żeby nie było, że mylę komendy)


moje Wine skompilowane ze źródeł...

Obrazek

jak widać prosta komenda do sprawdzania wersji wine działa w przypadku mojego wine skompilowanego ze źródeł.

Więcej mi się nie chce tłumaczyć. Ale wine w wersji development NIE DZIAŁA. I niech to do Was dotrze grzecznie proszę.

Awatar użytkownika
sir_lucjan
Posty: 21
Rejestracja: 27 lutego 2011, 11:08
Lokalizacja: Friedberg/Frankfurt

Post autor: sir_lucjan » 16 stycznia 2015, 17:59

https://packages.debian.org/unstable/ot ... evelopment

Może jestem ślepy, ale na liście nie widziałem tego.

Kod: Zaznacz cały

dpkg -l | grep wine-development
Skoro u wszystkich innych działa a u Ciebie nie, to TY robisz błąd.

Jeśli nie zainstalowałeś tej paczki, to serdecznie gratuluje.

Wysłałem Ci link, prześledź sobie dokładnie zależności. Zainstalowałeś wszystko.... poza tym, co jest najważniejsze.

ODPOWIEDZ